## WnckActionMenu

WnckActionMenu — a menu widget, used to manipulate a window.

## Stability Level

Unstable, unless otherwise indicated

## Functions

GtkWidget * | wnck_action_menu_new ()

## Properties

gpointer | window | Read / Write / Construct Only

## Types and Values

struct | WnckActionMenu

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkMenuShell
                        ╰── GtkMenu
                            ╰── WnckActionMenu

## Implemented Interfaces

WnckActionMenu implements AtkImplementorIface and GtkBuildable.

## Description

A WnckActionMenu is a menu containing items to manipulate a window. Relevant actions are displayed in the menu, and updated if the window state changes. The content of this menu is synchronized with the similar menu available in Metacity.

If there is only one workspace with a viewport, the WnckActionMenu will contain items to move the window in the viewport as if the viewport feature was used to create workspaces. This is useful since viewport is generally used as an alternative way to create virtual desktops.

The WnckActionMenu does not support moving the window in the viewport if there are multiple workspaces on the screen: those two notions are so similar that having both at the same time would result in a menu which would be confusing to the user.

## Functions

### wnck_action_menu_new ()

    GtkWidget *
    wnck_action_menu_new (WnckWindow *window);

Creates a new WnckActionMenu. The WnckActionMenu will be filled with menu items for window operations on `window` .

#### Parameters

window | the WnckWindow for which a menu will be created. |

#### Returns

a newly created WnckActionMenu.

Since: 2.22

## Types and Values

### struct WnckActionMenu

    struct WnckActionMenu;

The WnckActionMenu struct contains only private fields and should not be directly accessed.

## Property Details

### The `“window”` property

      “window”                   gpointer

The window that will be manipulated through this menu.

Owner: WnckActionMenu

Flags: Read / Write / Construct Only

## See Also

WnckWindow